<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
  <style>
    .main-container{
        width: 100%;
    }
    .calc-box{
        width: 50%;
        margin: auto;
        padding: 50px;
        box-shadow: 0 10px 20px -2px rgba(0,0,0,0.14);
    }
    .heading-txt{
        font-size: 20px;
        text-align: center;
        margin-bottom: 25px;
    }
    .label-text{
        width: 100%;
        font-size: 18px;
    }
    .input-text{
        width: 100%;
        padding: 10px;
        margin: 8px 0 20px 0;
    }
    .quentity-lable{
        float: right;
        position: relative;
    }
    .total{
        font-size: 30px;
        text-align: right;
    }
  </style>
</head>
<body>
    <div class="main-container">
        <div class="calc-box">
            <div class="heading-txt">Pricing Calculator</div>
            <form>
                <div class="form-group">
                    <label class="label-text" for="price">Price</label>
                    <input  class="form-control input-text" type="number" placeholder="Enter Price" name="price" valur="30"></input>
                </div>
                <div class="form-group">
                    <label class="label-text" for="price">Quentity<span class="lable quentity-lable">1</span></label>
                    <input class="form-control input-text" type="range" name="quentity" value="1" min="1" max="10" step="1"></input>
                </div>
            </form>
            <div class="form-control total">$00</div>
        </div>
    </div>
    <script>
        var priceInput = document.querySelector('[name=price]');
        var quentityInput = document.querySelector('[name=quentity]');
        var total = document.querySelector('.total');
        var quentityLable = document.querySelector('.quentity-lable');

        function priceCost(){
            var price = priceInput.value;
            var quentity = quentityInput.value;
            var cost = price * quentity;
            total.innerText = "$" + cost.toFixed(2);
            }

        function addQuentityLable(){
            var quentity = quentityInput.value;
            quentityLable.innerText = quentity
            }
            
        priceInput.addEventListener('input', priceCost);
        quentityInput.addEventListener('input', priceCost)
        quentityInput.addEventListener('input', addQuentityLable)
    </script>
</body>
</html>